Cyan Web API - Version 1


POST api/nodes/packages

            Create a list of node resources with routes if specified.
            

Request Information

Parameters

NameDescriptionAdditional information
nodePackages

Define this parameter in the request body.

Request body formats

application/json, text/json

Sample:
[
  {
    "node": {
      "tenantId": "7ae3c038-62fb-4773-b0f7-f75ce783a51e",
      "nodeId": "186c8fcf-fb4f-43cf-ac34-d8fee6bc1dd5",
      "type": "sample string 3",
      "id": "sample string 4",
      "parentType": "sample string 5",
      "parentId": "sample string 6",
      "title": "sample string 7",
      "props": {
        "sample string 1": {},
        "sample string 3": {},
        "sample string 5": {}
      },
      "refs": {
        "sample string 1": {
          "type": "sample string 1",
          "id": "sample string 2"
        },
        "sample string 2": {
          "type": "sample string 1",
          "id": "sample string 2"
        },
        "sample string 3": {
          "type": "sample string 1",
          "id": "sample string 2"
        }
      },
      "cyanId": 8,
      "subjectToCleanup": true,
      "createdDateUtc": "2026-11-13T17:41:01.6075206+00:00",
      "updatedDateUtc": "2026-11-13T17:41:01.6075206+00:00"
    },
    "nodeIndices": [
      {
        "nodeIndexId": "e9f41609-15a4-4605-afc1-fef763841b86",
        "tenantId": "ba262911-70ff-45fb-b3a4-f642cc2ff085",
        "propertyKey": "sample string 3",
        "propertyValue": "sample string 4",
        "nodeId": "a8958dc8-434d-43af-831f-fa88a1d7fad4",
        "nodeCyanId": 6,
        "cyanId": 7,
        "createdDateUtc": "2026-11-13T17:41:01.6075206+00:00",
        "updatedDateUtc": "2026-11-13T17:41:01.6075206+00:00"
      },
      {
        "nodeIndexId": "e9f41609-15a4-4605-afc1-fef763841b86",
        "tenantId": "ba262911-70ff-45fb-b3a4-f642cc2ff085",
        "propertyKey": "sample string 3",
        "propertyValue": "sample string 4",
        "nodeId": "a8958dc8-434d-43af-831f-fa88a1d7fad4",
        "nodeCyanId": 6,
        "cyanId": 7,
        "createdDateUtc": "2026-11-13T17:41:01.6075206+00:00",
        "updatedDateUtc": "2026-11-13T17:41:01.6075206+00:00"
      },
      {
        "nodeIndexId": "e9f41609-15a4-4605-afc1-fef763841b86",
        "tenantId": "ba262911-70ff-45fb-b3a4-f642cc2ff085",
        "propertyKey": "sample string 3",
        "propertyValue": "sample string 4",
        "nodeId": "a8958dc8-434d-43af-831f-fa88a1d7fad4",
        "nodeCyanId": 6,
        "cyanId": 7,
        "createdDateUtc": "2026-11-13T17:41:01.6075206+00:00",
        "updatedDateUtc": "2026-11-13T17:41:01.6075206+00:00"
      }
    ],
    "nodeRoutes": [
      {
        "nodeRouteId": "5adfed7e-1327-41a6-a428-47a3dc4bfbcd",
        "tenantId": "88e97d48-7a61-454d-a609-72c42e84e97d",
        "userId": "1e292d3d-4686-4743-9977-0ed4a43e17b8",
        "userGroupId": "10af1be0-00ae-40aa-a1e0-3e8ccedfa825",
        "deviceId": "af3e065e-4663-4fa3-97b3-c552b0fbb0ee",
        "deviceGroupId": "6be5c5c1-9269-4163-9632-5ec3f86462c9",
        "applicationId": "c201036c-0dde-4f7d-bad0-78628f0ffd2f",
        "applicationVersionId": "0f7e0ffc-6d95-41b9-9433-66ad132dad35",
        "nodeId": "1d627629-118c-48e1-86a4-eb74dff8e5d9",
        "name": "sample string 4",
        "description": "sample string 5",
        "nodeCyanId": 6,
        "cyanId": 7,
        "customKey": "sample string 8",
        "customValue": "sample string 9",
        "applyParentRoutes": true,
        "applyToDescendants": true,
        "applyToTree": true,
        "applyToParents": true,
        "applyToSiblings": true,
        "applyToSiblingsType": "sample string 15",
        "ignoreNodeIdsInRouting": [
          "sample string 1",
          "sample string 2",
          "sample string 3"
        ],
        "createdDateUtc": "2026-11-13T17:41:01.6075206+00:00",
        "updatedDateUtc": "2026-11-13T17:41:01.6075206+00:00"
      },
      {
        "nodeRouteId": "5adfed7e-1327-41a6-a428-47a3dc4bfbcd",
        "tenantId": "88e97d48-7a61-454d-a609-72c42e84e97d",
        "userId": "1e292d3d-4686-4743-9977-0ed4a43e17b8",
        "userGroupId": "10af1be0-00ae-40aa-a1e0-3e8ccedfa825",
        "deviceId": "af3e065e-4663-4fa3-97b3-c552b0fbb0ee",
        "deviceGroupId": "6be5c5c1-9269-4163-9632-5ec3f86462c9",
        "applicationId": "c201036c-0dde-4f7d-bad0-78628f0ffd2f",
        "applicationVersionId": "0f7e0ffc-6d95-41b9-9433-66ad132dad35",
        "nodeId": "1d627629-118c-48e1-86a4-eb74dff8e5d9",
        "name": "sample string 4",
        "description": "sample string 5",
        "nodeCyanId": 6,
        "cyanId": 7,
        "customKey": "sample string 8",
        "customValue": "sample string 9",
        "applyParentRoutes": true,
        "applyToDescendants": true,
        "applyToTree": true,
        "applyToParents": true,
        "applyToSiblings": true,
        "applyToSiblingsType": "sample string 15",
        "ignoreNodeIdsInRouting": [
          "sample string 1",
          "sample string 2",
          "sample string 3"
        ],
        "createdDateUtc": "2026-11-13T17:41:01.6075206+00:00",
        "updatedDateUtc": "2026-11-13T17:41:01.6075206+00:00"
      },
      {
        "nodeRouteId": "5adfed7e-1327-41a6-a428-47a3dc4bfbcd",
        "tenantId": "88e97d48-7a61-454d-a609-72c42e84e97d",
        "userId": "1e292d3d-4686-4743-9977-0ed4a43e17b8",
        "userGroupId": "10af1be0-00ae-40aa-a1e0-3e8ccedfa825",
        "deviceId": "af3e065e-4663-4fa3-97b3-c552b0fbb0ee",
        "deviceGroupId": "6be5c5c1-9269-4163-9632-5ec3f86462c9",
        "applicationId": "c201036c-0dde-4f7d-bad0-78628f0ffd2f",
        "applicationVersionId": "0f7e0ffc-6d95-41b9-9433-66ad132dad35",
        "nodeId": "1d627629-118c-48e1-86a4-eb74dff8e5d9",
        "name": "sample string 4",
        "description": "sample string 5",
        "nodeCyanId": 6,
        "cyanId": 7,
        "customKey": "sample string 8",
        "customValue": "sample string 9",
        "applyParentRoutes": true,
        "applyToDescendants": true,
        "applyToTree": true,
        "applyToParents": true,
        "applyToSiblings": true,
        "applyToSiblingsType": "sample string 15",
        "ignoreNodeIdsInRouting": [
          "sample string 1",
          "sample string 2",
          "sample string 3"
        ],
        "createdDateUtc": "2026-11-13T17:41:01.6075206+00:00",
        "updatedDateUtc": "2026-11-13T17:41:01.6075206+00:00"
      }
    ],
    "isNodeNew": true,
    "createdDateUtc": "2026-11-13T17:41:01.6075206+00:00",
    "updatedDateUtc": "2026-11-13T17:41:01.6075206+00:00"
  },
  {
    "node": {
      "tenantId": "7ae3c038-62fb-4773-b0f7-f75ce783a51e",
      "nodeId": "186c8fcf-fb4f-43cf-ac34-d8fee6bc1dd5",
      "type": "sample string 3",
      "id": "sample string 4",
      "parentType": "sample string 5",
      "parentId": "sample string 6",
      "title": "sample string 7",
      "props": {
        "sample string 1": {},
        "sample string 3": {},
        "sample string 5": {}
      },
      "refs": {
        "sample string 1": {
          "type": "sample string 1",
          "id": "sample string 2"
        },
        "sample string 2": {
          "type": "sample string 1",
          "id": "sample string 2"
        },
        "sample string 3": {
          "type": "sample string 1",
          "id": "sample string 2"
        }
      },
      "cyanId": 8,
      "subjectToCleanup": true,
      "createdDateUtc": "2026-11-13T17:41:01.6075206+00:00",
      "updatedDateUtc": "2026-11-13T17:41:01.6075206+00:00"
    },
    "nodeIndices": [
      {
        "nodeIndexId": "e9f41609-15a4-4605-afc1-fef763841b86",
        "tenantId": "ba262911-70ff-45fb-b3a4-f642cc2ff085",
        "propertyKey": "sample string 3",
        "propertyValue": "sample string 4",
        "nodeId": "a8958dc8-434d-43af-831f-fa88a1d7fad4",
        "nodeCyanId": 6,
        "cyanId": 7,
        "createdDateUtc": "2026-11-13T17:41:01.6075206+00:00",
        "updatedDateUtc": "2026-11-13T17:41:01.6075206+00:00"
      },
      {
        "nodeIndexId": "e9f41609-15a4-4605-afc1-fef763841b86",
        "tenantId": "ba262911-70ff-45fb-b3a4-f642cc2ff085",
        "propertyKey": "sample string 3",
        "propertyValue": "sample string 4",
        "nodeId": "a8958dc8-434d-43af-831f-fa88a1d7fad4",
        "nodeCyanId": 6,
        "cyanId": 7,
        "createdDateUtc": "2026-11-13T17:41:01.6075206+00:00",
        "updatedDateUtc": "2026-11-13T17:41:01.6075206+00:00"
      },
      {
        "nodeIndexId": "e9f41609-15a4-4605-afc1-fef763841b86",
        "tenantId": "ba262911-70ff-45fb-b3a4-f642cc2ff085",
        "propertyKey": "sample string 3",
        "propertyValue": "sample string 4",
        "nodeId": "a8958dc8-434d-43af-831f-fa88a1d7fad4",
        "nodeCyanId": 6,
        "cyanId": 7,
        "createdDateUtc": "2026-11-13T17:41:01.6075206+00:00",
        "updatedDateUtc": "2026-11-13T17:41:01.6075206+00:00"
      }
    ],
    "nodeRoutes": [
      {
        "nodeRouteId": "5adfed7e-1327-41a6-a428-47a3dc4bfbcd",
        "tenantId": "88e97d48-7a61-454d-a609-72c42e84e97d",
        "userId": "1e292d3d-4686-4743-9977-0ed4a43e17b8",
        "userGroupId": "10af1be0-00ae-40aa-a1e0-3e8ccedfa825",
        "deviceId": "af3e065e-4663-4fa3-97b3-c552b0fbb0ee",
        "deviceGroupId": "6be5c5c1-9269-4163-9632-5ec3f86462c9",
        "applicationId": "c201036c-0dde-4f7d-bad0-78628f0ffd2f",
        "applicationVersionId": "0f7e0ffc-6d95-41b9-9433-66ad132dad35",
        "nodeId": "1d627629-118c-48e1-86a4-eb74dff8e5d9",
        "name": "sample string 4",
        "description": "sample string 5",
        "nodeCyanId": 6,
        "cyanId": 7,
        "customKey": "sample string 8",
        "customValue": "sample string 9",
        "applyParentRoutes": true,
        "applyToDescendants": true,
        "applyToTree": true,
        "applyToParents": true,
        "applyToSiblings": true,
        "applyToSiblingsType": "sample string 15",
        "ignoreNodeIdsInRouting": [
          "sample string 1",
          "sample string 2",
          "sample string 3"
        ],
        "createdDateUtc": "2026-11-13T17:41:01.6075206+00:00",
        "updatedDateUtc": "2026-11-13T17:41:01.6075206+00:00"
      },
      {
        "nodeRouteId": "5adfed7e-1327-41a6-a428-47a3dc4bfbcd",
        "tenantId": "88e97d48-7a61-454d-a609-72c42e84e97d",
        "userId": "1e292d3d-4686-4743-9977-0ed4a43e17b8",
        "userGroupId": "10af1be0-00ae-40aa-a1e0-3e8ccedfa825",
        "deviceId": "af3e065e-4663-4fa3-97b3-c552b0fbb0ee",
        "deviceGroupId": "6be5c5c1-9269-4163-9632-5ec3f86462c9",
        "applicationId": "c201036c-0dde-4f7d-bad0-78628f0ffd2f",
        "applicationVersionId": "0f7e0ffc-6d95-41b9-9433-66ad132dad35",
        "nodeId": "1d627629-118c-48e1-86a4-eb74dff8e5d9",
        "name": "sample string 4",
        "description": "sample string 5",
        "nodeCyanId": 6,
        "cyanId": 7,
        "customKey": "sample string 8",
        "customValue": "sample string 9",
        "applyParentRoutes": true,
        "applyToDescendants": true,
        "applyToTree": true,
        "applyToParents": true,
        "applyToSiblings": true,
        "applyToSiblingsType": "sample string 15",
        "ignoreNodeIdsInRouting": [
          "sample string 1",
          "sample string 2",
          "sample string 3"
        ],
        "createdDateUtc": "2026-11-13T17:41:01.6075206+00:00",
        "updatedDateUtc": "2026-11-13T17:41:01.6075206+00:00"
      },
      {
        "nodeRouteId": "5adfed7e-1327-41a6-a428-47a3dc4bfbcd",
        "tenantId": "88e97d48-7a61-454d-a609-72c42e84e97d",
        "userId": "1e292d3d-4686-4743-9977-0ed4a43e17b8",
        "userGroupId": "10af1be0-00ae-40aa-a1e0-3e8ccedfa825",
        "deviceId": "af3e065e-4663-4fa3-97b3-c552b0fbb0ee",
        "deviceGroupId": "6be5c5c1-9269-4163-9632-5ec3f86462c9",
        "applicationId": "c201036c-0dde-4f7d-bad0-78628f0ffd2f",
        "applicationVersionId": "0f7e0ffc-6d95-41b9-9433-66ad132dad35",
        "nodeId": "1d627629-118c-48e1-86a4-eb74dff8e5d9",
        "name": "sample string 4",
        "description": "sample string 5",
        "nodeCyanId": 6,
        "cyanId": 7,
        "customKey": "sample string 8",
        "customValue": "sample string 9",
        "applyParentRoutes": true,
        "applyToDescendants": true,
        "applyToTree": true,
        "applyToParents": true,
        "applyToSiblings": true,
        "applyToSiblingsType": "sample string 15",
        "ignoreNodeIdsInRouting": [
          "sample string 1",
          "sample string 2",
          "sample string 3"
        ],
        "createdDateUtc": "2026-11-13T17:41:01.6075206+00:00",
        "updatedDateUtc": "2026-11-13T17:41:01.6075206+00:00"
      }
    ],
    "isNodeNew": true,
    "createdDateUtc": "2026-11-13T17:41:01.6075206+00:00",
    "updatedDateUtc": "2026-11-13T17:41:01.6075206+00:00"
  },
  {
    "node": {
      "tenantId": "7ae3c038-62fb-4773-b0f7-f75ce783a51e",
      "nodeId": "186c8fcf-fb4f-43cf-ac34-d8fee6bc1dd5",
      "type": "sample string 3",
      "id": "sample string 4",
      "parentType": "sample string 5",
      "parentId": "sample string 6",
      "title": "sample string 7",
      "props": {
        "sample string 1": {},
        "sample string 3": {},
        "sample string 5": {}
      },
      "refs": {
        "sample string 1": {
          "type": "sample string 1",
          "id": "sample string 2"
        },
        "sample string 2": {
          "type": "sample string 1",
          "id": "sample string 2"
        },
        "sample string 3": {
          "type": "sample string 1",
          "id": "sample string 2"
        }
      },
      "cyanId": 8,
      "subjectToCleanup": true,
      "createdDateUtc": "2026-11-13T17:41:01.6075206+00:00",
      "updatedDateUtc": "2026-11-13T17:41:01.6075206+00:00"
    },
    "nodeIndices": [
      {
        "nodeIndexId": "e9f41609-15a4-4605-afc1-fef763841b86",
        "tenantId": "ba262911-70ff-45fb-b3a4-f642cc2ff085",
        "propertyKey": "sample string 3",
        "propertyValue": "sample string 4",
        "nodeId": "a8958dc8-434d-43af-831f-fa88a1d7fad4",
        "nodeCyanId": 6,
        "cyanId": 7,
        "createdDateUtc": "2026-11-13T17:41:01.6075206+00:00",
        "updatedDateUtc": "2026-11-13T17:41:01.6075206+00:00"
      },
      {
        "nodeIndexId": "e9f41609-15a4-4605-afc1-fef763841b86",
        "tenantId": "ba262911-70ff-45fb-b3a4-f642cc2ff085",
        "propertyKey": "sample string 3",
        "propertyValue": "sample string 4",
        "nodeId": "a8958dc8-434d-43af-831f-fa88a1d7fad4",
        "nodeCyanId": 6,
        "cyanId": 7,
        "createdDateUtc": "2026-11-13T17:41:01.6075206+00:00",
        "updatedDateUtc": "2026-11-13T17:41:01.6075206+00:00"
      },
      {
        "nodeIndexId": "e9f41609-15a4-4605-afc1-fef763841b86",
        "tenantId": "ba262911-70ff-45fb-b3a4-f642cc2ff085",
        "propertyKey": "sample string 3",
        "propertyValue": "sample string 4",
        "nodeId": "a8958dc8-434d-43af-831f-fa88a1d7fad4",
        "nodeCyanId": 6,
        "cyanId": 7,
        "createdDateUtc": "2026-11-13T17:41:01.6075206+00:00",
        "updatedDateUtc": "2026-11-13T17:41:01.6075206+00:00"
      }
    ],
    "nodeRoutes": [
      {
        "nodeRouteId": "5adfed7e-1327-41a6-a428-47a3dc4bfbcd",
        "tenantId": "88e97d48-7a61-454d-a609-72c42e84e97d",
        "userId": "1e292d3d-4686-4743-9977-0ed4a43e17b8",
        "userGroupId": "10af1be0-00ae-40aa-a1e0-3e8ccedfa825",
        "deviceId": "af3e065e-4663-4fa3-97b3-c552b0fbb0ee",
        "deviceGroupId": "6be5c5c1-9269-4163-9632-5ec3f86462c9",
        "applicationId": "c201036c-0dde-4f7d-bad0-78628f0ffd2f",
        "applicationVersionId": "0f7e0ffc-6d95-41b9-9433-66ad132dad35",
        "nodeId": "1d627629-118c-48e1-86a4-eb74dff8e5d9",
        "name": "sample string 4",
        "description": "sample string 5",
        "nodeCyanId": 6,
        "cyanId": 7,
        "customKey": "sample string 8",
        "customValue": "sample string 9",
        "applyParentRoutes": true,
        "applyToDescendants": true,
        "applyToTree": true,
        "applyToParents": true,
        "applyToSiblings": true,
        "applyToSiblingsType": "sample string 15",
        "ignoreNodeIdsInRouting": [
          "sample string 1",
          "sample string 2",
          "sample string 3"
        ],
        "createdDateUtc": "2026-11-13T17:41:01.6075206+00:00",
        "updatedDateUtc": "2026-11-13T17:41:01.6075206+00:00"
      },
      {
        "nodeRouteId": "5adfed7e-1327-41a6-a428-47a3dc4bfbcd",
        "tenantId": "88e97d48-7a61-454d-a609-72c42e84e97d",
        "userId": "1e292d3d-4686-4743-9977-0ed4a43e17b8",
        "userGroupId": "10af1be0-00ae-40aa-a1e0-3e8ccedfa825",
        "deviceId": "af3e065e-4663-4fa3-97b3-c552b0fbb0ee",
        "deviceGroupId": "6be5c5c1-9269-4163-9632-5ec3f86462c9",
        "applicationId": "c201036c-0dde-4f7d-bad0-78628f0ffd2f",
        "applicationVersionId": "0f7e0ffc-6d95-41b9-9433-66ad132dad35",
        "nodeId": "1d627629-118c-48e1-86a4-eb74dff8e5d9",
        "name": "sample string 4",
        "description": "sample string 5",
        "nodeCyanId": 6,
        "cyanId": 7,
        "customKey": "sample string 8",
        "customValue": "sample string 9",
        "applyParentRoutes": true,
        "applyToDescendants": true,
        "applyToTree": true,
        "applyToParents": true,
        "applyToSiblings": true,
        "applyToSiblingsType": "sample string 15",
        "ignoreNodeIdsInRouting": [
          "sample string 1",
          "sample string 2",
          "sample string 3"
        ],
        "createdDateUtc": "2026-11-13T17:41:01.6075206+00:00",
        "updatedDateUtc": "2026-11-13T17:41:01.6075206+00:00"
      },
      {
        "nodeRouteId": "5adfed7e-1327-41a6-a428-47a3dc4bfbcd",
        "tenantId": "88e97d48-7a61-454d-a609-72c42e84e97d",
        "userId": "1e292d3d-4686-4743-9977-0ed4a43e17b8",
        "userGroupId": "10af1be0-00ae-40aa-a1e0-3e8ccedfa825",
        "deviceId": "af3e065e-4663-4fa3-97b3-c552b0fbb0ee",
        "deviceGroupId": "6be5c5c1-9269-4163-9632-5ec3f86462c9",
        "applicationId": "c201036c-0dde-4f7d-bad0-78628f0ffd2f",
        "applicationVersionId": "0f7e0ffc-6d95-41b9-9433-66ad132dad35",
        "nodeId": "1d627629-118c-48e1-86a4-eb74dff8e5d9",
        "name": "sample string 4",
        "description": "sample string 5",
        "nodeCyanId": 6,
        "cyanId": 7,
        "customKey": "sample string 8",
        "customValue": "sample string 9",
        "applyParentRoutes": true,
        "applyToDescendants": true,
        "applyToTree": true,
        "applyToParents": true,
        "applyToSiblings": true,
        "applyToSiblingsType": "sample string 15",
        "ignoreNodeIdsInRouting": [
          "sample string 1",
          "sample string 2",
          "sample string 3"
        ],
        "createdDateUtc": "2026-11-13T17:41:01.6075206+00:00",
        "updatedDateUtc": "2026-11-13T17:41:01.6075206+00:00"
      }
    ],
    "isNodeNew": true,
    "createdDateUtc": "2026-11-13T17:41:01.6075206+00:00",
    "updatedDateUtc": "2026-11-13T17:41:01.6075206+00:00"
  }
]

application/xml, text/xml

Sample:
<ArrayOfNodePackageRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <NodePackageRepresentation>
    <CreatedDateUtc>2026-11-13T17:41:01.6075206+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T17:41:01.6075206+00:00</UpdatedDateUtc>
    <IsNodeNew>true</IsNodeNew>
    <Node>
      <CreatedDateUtc>2026-11-13T17:41:01.6075206+00:00</CreatedDateUtc>
      <UpdatedDateUtc>2026-11-13T17:41:01.6075206+00:00</UpdatedDateUtc>
      <CyanId>8</CyanId>
      <Id>sample string 4</Id>
      <NodeId>186c8fcf-fb4f-43cf-ac34-d8fee6bc1dd5</NodeId>
      <ParentId>sample string 6</ParentId>
      <ParentType>sample string 5</ParentType>
      <Props xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringanyType>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value />
        </d4p1:KeyValueOfstringanyType>
        <d4p1:KeyValueOfstringanyType>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value />
        </d4p1:KeyValueOfstringanyType>
        <d4p1:KeyValueOfstringanyType>
          <d4p1:Key>sample string 5</d4p1:Key>
          <d4p1:Value />
        </d4p1:KeyValueOfstringanyType>
      </Props>
      <Refs xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value>
            <Id>sample string 2</Id>
            <Type>sample string 1</Type>
          </d4p1:Value>
        </d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
        <d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
          <d4p1:Key>sample string 2</d4p1:Key>
          <d4p1:Value>
            <Id>sample string 2</Id>
            <Type>sample string 1</Type>
          </d4p1:Value>
        </d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
        <d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value>
            <Id>sample string 2</Id>
            <Type>sample string 1</Type>
          </d4p1:Value>
        </d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
      </Refs>
      <SubjectToCleanup>true</SubjectToCleanup>
      <TenantId>7ae3c038-62fb-4773-b0f7-f75ce783a51e</TenantId>
      <Title>sample string 7</Title>
      <Type>sample string 3</Type>
    </Node>
    <NodeIndices>
      <NodeIndexRepresentation>
        <CreatedDateUtc>2026-11-13T17:41:01.6075206+00:00</CreatedDateUtc>
        <UpdatedDateUtc>2026-11-13T17:41:01.6075206+00:00</UpdatedDateUtc>
        <CyanId>7</CyanId>
        <NodeCyanId>6</NodeCyanId>
        <NodeId>a8958dc8-434d-43af-831f-fa88a1d7fad4</NodeId>
        <NodeIndexId>e9f41609-15a4-4605-afc1-fef763841b86</NodeIndexId>
        <PropertyKey>sample string 3</PropertyKey>
        <PropertyValue>sample string 4</PropertyValue>
        <TenantId>ba262911-70ff-45fb-b3a4-f642cc2ff085</TenantId>
      </NodeIndexRepresentation>
      <NodeIndexRepresentation>
        <CreatedDateUtc>2026-11-13T17:41:01.6075206+00:00</CreatedDateUtc>
        <UpdatedDateUtc>2026-11-13T17:41:01.6075206+00:00</UpdatedDateUtc>
        <CyanId>7</CyanId>
        <NodeCyanId>6</NodeCyanId>
        <NodeId>a8958dc8-434d-43af-831f-fa88a1d7fad4</NodeId>
        <NodeIndexId>e9f41609-15a4-4605-afc1-fef763841b86</NodeIndexId>
        <PropertyKey>sample string 3</PropertyKey>
        <PropertyValue>sample string 4</PropertyValue>
        <TenantId>ba262911-70ff-45fb-b3a4-f642cc2ff085</TenantId>
      </NodeIndexRepresentation>
      <NodeIndexRepresentation>
        <CreatedDateUtc>2026-11-13T17:41:01.6075206+00:00</CreatedDateUtc>
        <UpdatedDateUtc>2026-11-13T17:41:01.6075206+00:00</UpdatedDateUtc>
        <CyanId>7</CyanId>
        <NodeCyanId>6</NodeCyanId>
        <NodeId>a8958dc8-434d-43af-831f-fa88a1d7fad4</NodeId>
        <NodeIndexId>e9f41609-15a4-4605-afc1-fef763841b86</NodeIndexId>
        <PropertyKey>sample string 3</PropertyKey>
        <PropertyValue>sample string 4</PropertyValue>
        <TenantId>ba262911-70ff-45fb-b3a4-f642cc2ff085</TenantId>
      </NodeIndexRepresentation>
    </NodeIndices>
    <NodeRoutes>
      <NodeRouteRepresentation>
        <CreatedDateUtc>2026-11-13T17:41:01.6075206+00:00</CreatedDateUtc>
        <UpdatedDateUtc>2026-11-13T17:41:01.6075206+00:00</UpdatedDateUtc>
        <ApplicationId>c201036c-0dde-4f7d-bad0-78628f0ffd2f</ApplicationId>
        <ApplicationVersionId>0f7e0ffc-6d95-41b9-9433-66ad132dad35</ApplicationVersionId>
        <ApplyParentRoutes>true</ApplyParentRoutes>
        <ApplyToDescendants>true</ApplyToDescendants>
        <ApplyToParents>true</ApplyToParents>
        <ApplyToSiblings>true</ApplyToSiblings>
        <ApplyToSiblingsType>sample string 15</ApplyToSiblingsType>
        <ApplyToTree>true</ApplyToTree>
        <CustomKey>sample string 8</CustomKey>
        <CustomValue>sample string 9</CustomValue>
        <CyanId>7</CyanId>
        <Description>sample string 5</Description>
        <DeviceGroupId>6be5c5c1-9269-4163-9632-5ec3f86462c9</DeviceGroupId>
        <DeviceId>af3e065e-4663-4fa3-97b3-c552b0fbb0ee</DeviceId>
        <IgnoreNodeIdsInRouting xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
          <d5p1:string>sample string 1</d5p1:string>
          <d5p1:string>sample string 2</d5p1:string>
          <d5p1:string>sample string 3</d5p1:string>
        </IgnoreNodeIdsInRouting>
        <Name>sample string 4</Name>
        <NodeCyanId>6</NodeCyanId>
        <NodeId>1d627629-118c-48e1-86a4-eb74dff8e5d9</NodeId>
        <NodeRouteId>5adfed7e-1327-41a6-a428-47a3dc4bfbcd</NodeRouteId>
        <TenantId>88e97d48-7a61-454d-a609-72c42e84e97d</TenantId>
        <UserGroupId>10af1be0-00ae-40aa-a1e0-3e8ccedfa825</UserGroupId>
        <UserId>1e292d3d-4686-4743-9977-0ed4a43e17b8</UserId>
      </NodeRouteRepresentation>
      <NodeRouteRepresentation>
        <CreatedDateUtc>2026-11-13T17:41:01.6075206+00:00</CreatedDateUtc>
        <UpdatedDateUtc>2026-11-13T17:41:01.6075206+00:00</UpdatedDateUtc>
        <ApplicationId>c201036c-0dde-4f7d-bad0-78628f0ffd2f</ApplicationId>
        <ApplicationVersionId>0f7e0ffc-6d95-41b9-9433-66ad132dad35</ApplicationVersionId>
        <ApplyParentRoutes>true</ApplyParentRoutes>
        <ApplyToDescendants>true</ApplyToDescendants>
        <ApplyToParents>true</ApplyToParents>
        <ApplyToSiblings>true</ApplyToSiblings>
        <ApplyToSiblingsType>sample string 15</ApplyToSiblingsType>
        <ApplyToTree>true</ApplyToTree>
        <CustomKey>sample string 8</CustomKey>
        <CustomValue>sample string 9</CustomValue>
        <CyanId>7</CyanId>
        <Description>sample string 5</Description>
        <DeviceGroupId>6be5c5c1-9269-4163-9632-5ec3f86462c9</DeviceGroupId>
        <DeviceId>af3e065e-4663-4fa3-97b3-c552b0fbb0ee</DeviceId>
        <IgnoreNodeIdsInRouting xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
          <d5p1:string>sample string 1</d5p1:string>
          <d5p1:string>sample string 2</d5p1:string>
          <d5p1:string>sample string 3</d5p1:string>
        </IgnoreNodeIdsInRouting>
        <Name>sample string 4</Name>
        <NodeCyanId>6</NodeCyanId>
        <NodeId>1d627629-118c-48e1-86a4-eb74dff8e5d9</NodeId>
        <NodeRouteId>5adfed7e-1327-41a6-a428-47a3dc4bfbcd</NodeRouteId>
        <TenantId>88e97d48-7a61-454d-a609-72c42e84e97d</TenantId>
        <UserGroupId>10af1be0-00ae-40aa-a1e0-3e8ccedfa825</UserGroupId>
        <UserId>1e292d3d-4686-4743-9977-0ed4a43e17b8</UserId>
      </NodeRouteRepresentation>
      <NodeRouteRepresentation>
        <CreatedDateUtc>2026-11-13T17:41:01.6075206+00:00</CreatedDateUtc>
        <UpdatedDateUtc>2026-11-13T17:41:01.6075206+00:00</UpdatedDateUtc>
        <ApplicationId>c201036c-0dde-4f7d-bad0-78628f0ffd2f</ApplicationId>
        <ApplicationVersionId>0f7e0ffc-6d95-41b9-9433-66ad132dad35</ApplicationVersionId>
        <ApplyParentRoutes>true</ApplyParentRoutes>
        <ApplyToDescendants>true</ApplyToDescendants>
        <ApplyToParents>true</ApplyToParents>
        <ApplyToSiblings>true</ApplyToSiblings>
        <ApplyToSiblingsType>sample string 15</ApplyToSiblingsType>
        <ApplyToTree>true</ApplyToTree>
        <CustomKey>sample string 8</CustomKey>
        <CustomValue>sample string 9</CustomValue>
        <CyanId>7</CyanId>
        <Description>sample string 5</Description>
        <DeviceGroupId>6be5c5c1-9269-4163-9632-5ec3f86462c9</DeviceGroupId>
        <DeviceId>af3e065e-4663-4fa3-97b3-c552b0fbb0ee</DeviceId>
        <IgnoreNodeIdsInRouting xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
          <d5p1:string>sample string 1</d5p1:string>
          <d5p1:string>sample string 2</d5p1:string>
          <d5p1:string>sample string 3</d5p1:string>
        </IgnoreNodeIdsInRouting>
        <Name>sample string 4</Name>
        <NodeCyanId>6</NodeCyanId>
        <NodeId>1d627629-118c-48e1-86a4-eb74dff8e5d9</NodeId>
        <NodeRouteId>5adfed7e-1327-41a6-a428-47a3dc4bfbcd</NodeRouteId>
        <TenantId>88e97d48-7a61-454d-a609-72c42e84e97d</TenantId>
        <UserGroupId>10af1be0-00ae-40aa-a1e0-3e8ccedfa825</UserGroupId>
        <UserId>1e292d3d-4686-4743-9977-0ed4a43e17b8</UserId>
      </NodeRouteRepresentation>
    </NodeRoutes>
  </NodePackageRepresentation>
  <NodePackageRepresentation>
    <CreatedDateUtc>2026-11-13T17:41:01.6075206+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T17:41:01.6075206+00:00</UpdatedDateUtc>
    <IsNodeNew>true</IsNodeNew>
    <Node>
      <CreatedDateUtc>2026-11-13T17:41:01.6075206+00:00</CreatedDateUtc>
      <UpdatedDateUtc>2026-11-13T17:41:01.6075206+00:00</UpdatedDateUtc>
      <CyanId>8</CyanId>
      <Id>sample string 4</Id>
      <NodeId>186c8fcf-fb4f-43cf-ac34-d8fee6bc1dd5</NodeId>
      <ParentId>sample string 6</ParentId>
      <ParentType>sample string 5</ParentType>
      <Props xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringanyType>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value />
        </d4p1:KeyValueOfstringanyType>
        <d4p1:KeyValueOfstringanyType>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value />
        </d4p1:KeyValueOfstringanyType>
        <d4p1:KeyValueOfstringanyType>
          <d4p1:Key>sample string 5</d4p1:Key>
          <d4p1:Value />
        </d4p1:KeyValueOfstringanyType>
      </Props>
      <Refs xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value>
            <Id>sample string 2</Id>
            <Type>sample string 1</Type>
          </d4p1:Value>
        </d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
        <d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
          <d4p1:Key>sample string 2</d4p1:Key>
          <d4p1:Value>
            <Id>sample string 2</Id>
            <Type>sample string 1</Type>
          </d4p1:Value>
        </d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
        <d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value>
            <Id>sample string 2</Id>
            <Type>sample string 1</Type>
          </d4p1:Value>
        </d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
      </Refs>
      <SubjectToCleanup>true</SubjectToCleanup>
      <TenantId>7ae3c038-62fb-4773-b0f7-f75ce783a51e</TenantId>
      <Title>sample string 7</Title>
      <Type>sample string 3</Type>
    </Node>
    <NodeIndices>
      <NodeIndexRepresentation>
        <CreatedDateUtc>2026-11-13T17:41:01.6075206+00:00</CreatedDateUtc>
        <UpdatedDateUtc>2026-11-13T17:41:01.6075206+00:00</UpdatedDateUtc>
        <CyanId>7</CyanId>
        <NodeCyanId>6</NodeCyanId>
        <NodeId>a8958dc8-434d-43af-831f-fa88a1d7fad4</NodeId>
        <NodeIndexId>e9f41609-15a4-4605-afc1-fef763841b86</NodeIndexId>
        <PropertyKey>sample string 3</PropertyKey>
        <PropertyValue>sample string 4</PropertyValue>
        <TenantId>ba262911-70ff-45fb-b3a4-f642cc2ff085</TenantId>
      </NodeIndexRepresentation>
      <NodeIndexRepresentation>
        <CreatedDateUtc>2026-11-13T17:41:01.6075206+00:00</CreatedDateUtc>
        <UpdatedDateUtc>2026-11-13T17:41:01.6075206+00:00</UpdatedDateUtc>
        <CyanId>7</CyanId>
        <NodeCyanId>6</NodeCyanId>
        <NodeId>a8958dc8-434d-43af-831f-fa88a1d7fad4</NodeId>
        <NodeIndexId>e9f41609-15a4-4605-afc1-fef763841b86</NodeIndexId>
        <PropertyKey>sample string 3</PropertyKey>
        <PropertyValue>sample string 4</PropertyValue>
        <TenantId>ba262911-70ff-45fb-b3a4-f642cc2ff085</TenantId>
      </NodeIndexRepresentation>
      <NodeIndexRepresentation>
        <CreatedDateUtc>2026-11-13T17:41:01.6075206+00:00</CreatedDateUtc>
        <UpdatedDateUtc>2026-11-13T17:41:01.6075206+00:00</UpdatedDateUtc>
        <CyanId>7</CyanId>
        <NodeCyanId>6</NodeCyanId>
        <NodeId>a8958dc8-434d-43af-831f-fa88a1d7fad4</NodeId>
        <NodeIndexId>e9f41609-15a4-4605-afc1-fef763841b86</NodeIndexId>
        <PropertyKey>sample string 3</PropertyKey>
        <PropertyValue>sample string 4</PropertyValue>
        <TenantId>ba262911-70ff-45fb-b3a4-f642cc2ff085</TenantId>
      </NodeIndexRepresentation>
    </NodeIndices>
    <NodeRoutes>
      <NodeRouteRepresentation>
        <CreatedDateUtc>2026-11-13T17:41:01.6075206+00:00</CreatedDateUtc>
        <UpdatedDateUtc>2026-11-13T17:41:01.6075206+00:00</UpdatedDateUtc>
        <ApplicationId>c201036c-0dde-4f7d-bad0-78628f0ffd2f</ApplicationId>
        <ApplicationVersionId>0f7e0ffc-6d95-41b9-9433-66ad132dad35</ApplicationVersionId>
        <ApplyParentRoutes>true</ApplyParentRoutes>
        <ApplyToDescendants>true</ApplyToDescendants>
        <ApplyToParents>true</ApplyToParents>
        <ApplyToSiblings>true</ApplyToSiblings>
        <ApplyToSiblingsType>sample string 15</ApplyToSiblingsType>
        <ApplyToTree>true</ApplyToTree>
        <CustomKey>sample string 8</CustomKey>
        <CustomValue>sample string 9</CustomValue>
        <CyanId>7</CyanId>
        <Description>sample string 5</Description>
        <DeviceGroupId>6be5c5c1-9269-4163-9632-5ec3f86462c9</DeviceGroupId>
        <DeviceId>af3e065e-4663-4fa3-97b3-c552b0fbb0ee</DeviceId>
        <IgnoreNodeIdsInRouting xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
          <d5p1:string>sample string 1</d5p1:string>
          <d5p1:string>sample string 2</d5p1:string>
          <d5p1:string>sample string 3</d5p1:string>
        </IgnoreNodeIdsInRouting>
        <Name>sample string 4</Name>
        <NodeCyanId>6</NodeCyanId>
        <NodeId>1d627629-118c-48e1-86a4-eb74dff8e5d9</NodeId>
        <NodeRouteId>5adfed7e-1327-41a6-a428-47a3dc4bfbcd</NodeRouteId>
        <TenantId>88e97d48-7a61-454d-a609-72c42e84e97d</TenantId>
        <UserGroupId>10af1be0-00ae-40aa-a1e0-3e8ccedfa825</UserGroupId>
        <UserId>1e292d3d-4686-4743-9977-0ed4a43e17b8</UserId>
      </NodeRouteRepresentation>
      <NodeRouteRepresentation>
        <CreatedDateUtc>2026-11-13T17:41:01.6075206+00:00</CreatedDateUtc>
        <UpdatedDateUtc>2026-11-13T17:41:01.6075206+00:00</UpdatedDateUtc>
        <ApplicationId>c201036c-0dde-4f7d-bad0-78628f0ffd2f</ApplicationId>
        <ApplicationVersionId>0f7e0ffc-6d95-41b9-9433-66ad132dad35</ApplicationVersionId>
        <ApplyParentRoutes>true</ApplyParentRoutes>
        <ApplyToDescendants>true</ApplyToDescendants>
        <ApplyToParents>true</ApplyToParents>
        <ApplyToSiblings>true</ApplyToSiblings>
        <ApplyToSiblingsType>sample string 15</ApplyToSiblingsType>
        <ApplyToTree>true</ApplyToTree>
        <CustomKey>sample string 8</CustomKey>
        <CustomValue>sample string 9</CustomValue>
        <CyanId>7</CyanId>
        <Description>sample string 5</Description>
        <DeviceGroupId>6be5c5c1-9269-4163-9632-5ec3f86462c9</DeviceGroupId>
        <DeviceId>af3e065e-4663-4fa3-97b3-c552b0fbb0ee</DeviceId>
        <IgnoreNodeIdsInRouting xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
          <d5p1:string>sample string 1</d5p1:string>
          <d5p1:string>sample string 2</d5p1:string>
          <d5p1:string>sample string 3</d5p1:string>
        </IgnoreNodeIdsInRouting>
        <Name>sample string 4</Name>
        <NodeCyanId>6</NodeCyanId>
        <NodeId>1d627629-118c-48e1-86a4-eb74dff8e5d9</NodeId>
        <NodeRouteId>5adfed7e-1327-41a6-a428-47a3dc4bfbcd</NodeRouteId>
        <TenantId>88e97d48-7a61-454d-a609-72c42e84e97d</TenantId>
        <UserGroupId>10af1be0-00ae-40aa-a1e0-3e8ccedfa825</UserGroupId>
        <UserId>1e292d3d-4686-4743-9977-0ed4a43e17b8</UserId>
      </NodeRouteRepresentation>
      <NodeRouteRepresentation>
        <CreatedDateUtc>2026-11-13T17:41:01.6075206+00:00</CreatedDateUtc>
        <UpdatedDateUtc>2026-11-13T17:41:01.6075206+00:00</UpdatedDateUtc>
        <ApplicationId>c201036c-0dde-4f7d-bad0-78628f0ffd2f</ApplicationId>
        <ApplicationVersionId>0f7e0ffc-6d95-41b9-9433-66ad132dad35</ApplicationVersionId>
        <ApplyParentRoutes>true</ApplyParentRoutes>
        <ApplyToDescendants>true</ApplyToDescendants>
        <ApplyToParents>true</ApplyToParents>
        <ApplyToSiblings>true</ApplyToSiblings>
        <ApplyToSiblingsType>sample string 15</ApplyToSiblingsType>
        <ApplyToTree>true</ApplyToTree>
        <CustomKey>sample string 8</CustomKey>
        <CustomValue>sample string 9</CustomValue>
        <CyanId>7</CyanId>
        <Description>sample string 5</Description>
        <DeviceGroupId>6be5c5c1-9269-4163-9632-5ec3f86462c9</DeviceGroupId>
        <DeviceId>af3e065e-4663-4fa3-97b3-c552b0fbb0ee</DeviceId>
        <IgnoreNodeIdsInRouting xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
          <d5p1:string>sample string 1</d5p1:string>
          <d5p1:string>sample string 2</d5p1:string>
          <d5p1:string>sample string 3</d5p1:string>
        </IgnoreNodeIdsInRouting>
        <Name>sample string 4</Name>
        <NodeCyanId>6</NodeCyanId>
        <NodeId>1d627629-118c-48e1-86a4-eb74dff8e5d9</NodeId>
        <NodeRouteId>5adfed7e-1327-41a6-a428-47a3dc4bfbcd</NodeRouteId>
        <TenantId>88e97d48-7a61-454d-a609-72c42e84e97d</TenantId>
        <UserGroupId>10af1be0-00ae-40aa-a1e0-3e8ccedfa825</UserGroupId>
        <UserId>1e292d3d-4686-4743-9977-0ed4a43e17b8</UserId>
      </NodeRouteRepresentation>
    </NodeRoutes>
  </NodePackageRepresentation>
  <NodePackageRepresentation>
    <CreatedDateUtc>2026-11-13T17:41:01.6075206+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T17:41:01.6075206+00:00</UpdatedDateUtc>
    <IsNodeNew>true</IsNodeNew>
    <Node>
      <CreatedDateUtc>2026-11-13T17:41:01.6075206+00:00</CreatedDateUtc>
      <UpdatedDateUtc>2026-11-13T17:41:01.6075206+00:00</UpdatedDateUtc>
      <CyanId>8</CyanId>
      <Id>sample string 4</Id>
      <NodeId>186c8fcf-fb4f-43cf-ac34-d8fee6bc1dd5</NodeId>
      <ParentId>sample string 6</ParentId>
      <ParentType>sample string 5</ParentType>
      <Props xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringanyType>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value />
        </d4p1:KeyValueOfstringanyType>
        <d4p1:KeyValueOfstringanyType>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value />
        </d4p1:KeyValueOfstringanyType>
        <d4p1:KeyValueOfstringanyType>
          <d4p1:Key>sample string 5</d4p1:Key>
          <d4p1:Value />
        </d4p1:KeyValueOfstringanyType>
      </Props>
      <Refs xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value>
            <Id>sample string 2</Id>
            <Type>sample string 1</Type>
          </d4p1:Value>
        </d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
        <d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
          <d4p1:Key>sample string 2</d4p1:Key>
          <d4p1:Value>
            <Id>sample string 2</Id>
            <Type>sample string 1</Type>
          </d4p1:Value>
        </d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
        <d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value>
            <Id>sample string 2</Id>
            <Type>sample string 1</Type>
          </d4p1:Value>
        </d4p1:KeyValueOfstringNodeRefRepresentationPuhFCfmt>
      </Refs>
      <SubjectToCleanup>true</SubjectToCleanup>
      <TenantId>7ae3c038-62fb-4773-b0f7-f75ce783a51e</TenantId>
      <Title>sample string 7</Title>
      <Type>sample string 3</Type>
    </Node>
    <NodeIndices>
      <NodeIndexRepresentation>
        <CreatedDateUtc>2026-11-13T17:41:01.6075206+00:00</CreatedDateUtc>
        <UpdatedDateUtc>2026-11-13T17:41:01.6075206+00:00</UpdatedDateUtc>
        <CyanId>7</CyanId>
        <NodeCyanId>6</NodeCyanId>
        <NodeId>a8958dc8-434d-43af-831f-fa88a1d7fad4</NodeId>
        <NodeIndexId>e9f41609-15a4-4605-afc1-fef763841b86</NodeIndexId>
        <PropertyKey>sample string 3</PropertyKey>
        <PropertyValue>sample string 4</PropertyValue>
        <TenantId>ba262911-70ff-45fb-b3a4-f642cc2ff085</TenantId>
      </NodeIndexRepresentation>
      <NodeIndexRepresentation>
        <CreatedDateUtc>2026-11-13T17:41:01.6075206+00:00</CreatedDateUtc>
        <UpdatedDateUtc>2026-11-13T17:41:01.6075206+00:00</UpdatedDateUtc>
        <CyanId>7</CyanId>
        <NodeCyanId>6</NodeCyanId>
        <NodeId>a8958dc8-434d-43af-831f-fa88a1d7fad4</NodeId>
        <NodeIndexId>e9f41609-15a4-4605-afc1-fef763841b86</NodeIndexId>
        <PropertyKey>sample string 3</PropertyKey>
        <PropertyValue>sample string 4</PropertyValue>
        <TenantId>ba262911-70ff-45fb-b3a4-f642cc2ff085</TenantId>
      </NodeIndexRepresentation>
      <NodeIndexRepresentation>
        <CreatedDateUtc>2026-11-13T17:41:01.6075206+00:00</CreatedDateUtc>
        <UpdatedDateUtc>2026-11-13T17:41:01.6075206+00:00</UpdatedDateUtc>
        <CyanId>7</CyanId>
        <NodeCyanId>6</NodeCyanId>
        <NodeId>a8958dc8-434d-43af-831f-fa88a1d7fad4</NodeId>
        <NodeIndexId>e9f41609-15a4-4605-afc1-fef763841b86</NodeIndexId>
        <PropertyKey>sample string 3</PropertyKey>
        <PropertyValue>sample string 4</PropertyValue>
        <TenantId>ba262911-70ff-45fb-b3a4-f642cc2ff085</TenantId>
      </NodeIndexRepresentation>
    </NodeIndices>
    <NodeRoutes>
      <NodeRouteRepresentation>
        <CreatedDateUtc>2026-11-13T17:41:01.6075206+00:00</CreatedDateUtc>
        <UpdatedDateUtc>2026-11-13T17:41:01.6075206+00:00</UpdatedDateUtc>
        <ApplicationId>c201036c-0dde-4f7d-bad0-78628f0ffd2f</ApplicationId>
        <ApplicationVersionId>0f7e0ffc-6d95-41b9-9433-66ad132dad35</ApplicationVersionId>
        <ApplyParentRoutes>true</ApplyParentRoutes>
        <ApplyToDescendants>true</ApplyToDescendants>
        <ApplyToParents>true</ApplyToParents>
        <ApplyToSiblings>true</ApplyToSiblings>
        <ApplyToSiblingsType>sample string 15</ApplyToSiblingsType>
        <ApplyToTree>true</ApplyToTree>
        <CustomKey>sample string 8</CustomKey>
        <CustomValue>sample string 9</CustomValue>
        <CyanId>7</CyanId>
        <Description>sample string 5</Description>
        <DeviceGroupId>6be5c5c1-9269-4163-9632-5ec3f86462c9</DeviceGroupId>
        <DeviceId>af3e065e-4663-4fa3-97b3-c552b0fbb0ee</DeviceId>
        <IgnoreNodeIdsInRouting xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
          <d5p1:string>sample string 1</d5p1:string>
          <d5p1:string>sample string 2</d5p1:string>
          <d5p1:string>sample string 3</d5p1:string>
        </IgnoreNodeIdsInRouting>
        <Name>sample string 4</Name>
        <NodeCyanId>6</NodeCyanId>
        <NodeId>1d627629-118c-48e1-86a4-eb74dff8e5d9</NodeId>
        <NodeRouteId>5adfed7e-1327-41a6-a428-47a3dc4bfbcd</NodeRouteId>
        <TenantId>88e97d48-7a61-454d-a609-72c42e84e97d</TenantId>
        <UserGroupId>10af1be0-00ae-40aa-a1e0-3e8ccedfa825</UserGroupId>
        <UserId>1e292d3d-4686-4743-9977-0ed4a43e17b8</UserId>
      </NodeRouteRepresentation>
      <NodeRouteRepresentation>
        <CreatedDateUtc>2026-11-13T17:41:01.6075206+00:00</CreatedDateUtc>
        <UpdatedDateUtc>2026-11-13T17:41:01.6075206+00:00</UpdatedDateUtc>
        <ApplicationId>c201036c-0dde-4f7d-bad0-78628f0ffd2f</ApplicationId>
        <ApplicationVersionId>0f7e0ffc-6d95-41b9-9433-66ad132dad35</ApplicationVersionId>
        <ApplyParentRoutes>true</ApplyParentRoutes>
        <ApplyToDescendants>true</ApplyToDescendants>
        <ApplyToParents>true</ApplyToParents>
        <ApplyToSiblings>true</ApplyToSiblings>
        <ApplyToSiblingsType>sample string 15</ApplyToSiblingsType>
        <ApplyToTree>true</ApplyToTree>
        <CustomKey>sample string 8</CustomKey>
        <CustomValue>sample string 9</CustomValue>
        <CyanId>7</CyanId>
        <Description>sample string 5</Description>
        <DeviceGroupId>6be5c5c1-9269-4163-9632-5ec3f86462c9</DeviceGroupId>
        <DeviceId>af3e065e-4663-4fa3-97b3-c552b0fbb0ee</DeviceId>
        <IgnoreNodeIdsInRouting xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
          <d5p1:string>sample string 1</d5p1:string>
          <d5p1:string>sample string 2</d5p1:string>
          <d5p1:string>sample string 3</d5p1:string>
        </IgnoreNodeIdsInRouting>
        <Name>sample string 4</Name>
        <NodeCyanId>6</NodeCyanId>
        <NodeId>1d627629-118c-48e1-86a4-eb74dff8e5d9</NodeId>
        <NodeRouteId>5adfed7e-1327-41a6-a428-47a3dc4bfbcd</NodeRouteId>
        <TenantId>88e97d48-7a61-454d-a609-72c42e84e97d</TenantId>
        <UserGroupId>10af1be0-00ae-40aa-a1e0-3e8ccedfa825</UserGroupId>
        <UserId>1e292d3d-4686-4743-9977-0ed4a43e17b8</UserId>
      </NodeRouteRepresentation>
      <NodeRouteRepresentation>
        <CreatedDateUtc>2026-11-13T17:41:01.6075206+00:00</CreatedDateUtc>
        <UpdatedDateUtc>2026-11-13T17:41:01.6075206+00:00</UpdatedDateUtc>
        <ApplicationId>c201036c-0dde-4f7d-bad0-78628f0ffd2f</ApplicationId>
        <ApplicationVersionId>0f7e0ffc-6d95-41b9-9433-66ad132dad35</ApplicationVersionId>
        <ApplyParentRoutes>true</ApplyParentRoutes>
        <ApplyToDescendants>true</ApplyToDescendants>
        <ApplyToParents>true</ApplyToParents>
        <ApplyToSiblings>true</ApplyToSiblings>
        <ApplyToSiblingsType>sample string 15</ApplyToSiblingsType>
        <ApplyToTree>true</ApplyToTree>
        <CustomKey>sample string 8</CustomKey>
        <CustomValue>sample string 9</CustomValue>
        <CyanId>7</CyanId>
        <Description>sample string 5</Description>
        <DeviceGroupId>6be5c5c1-9269-4163-9632-5ec3f86462c9</DeviceGroupId>
        <DeviceId>af3e065e-4663-4fa3-97b3-c552b0fbb0ee</DeviceId>
        <IgnoreNodeIdsInRouting xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
          <d5p1:string>sample string 1</d5p1:string>
          <d5p1:string>sample string 2</d5p1:string>
          <d5p1:string>sample string 3</d5p1:string>
        </IgnoreNodeIdsInRouting>
        <Name>sample string 4</Name>
        <NodeCyanId>6</NodeCyanId>
        <NodeId>1d627629-118c-48e1-86a4-eb74dff8e5d9</NodeId>
        <NodeRouteId>5adfed7e-1327-41a6-a428-47a3dc4bfbcd</NodeRouteId>
        <TenantId>88e97d48-7a61-454d-a609-72c42e84e97d</TenantId>
        <UserGroupId>10af1be0-00ae-40aa-a1e0-3e8ccedfa825</UserGroupId>
        <UserId>1e292d3d-4686-4743-9977-0ed4a43e17b8</UserId>
      </NodeRouteRepresentation>
    </NodeRoutes>
  </NodePackageRepresentation>
</ArrayOfNodePackageRepresentation>

application/x-www-form-urlencoded

Sample:

Sample not available.